<?php
/**
 * Clase que maneja el mantenimiento de donantes
 *
 * @package pruebas-igep
 * $Revision: 1.16 $
 */

				/*CLASE ESPECIFICA DE LA VENTANA Q MANEJA TINV_DONANTES*/

class TinvDonantes extends gvHidraForm_dummy {	

	function __construct(){	

			$datos = array(
				array('cif'=>'20386542D', 'orden'=>'0', 'nombre'=>'Donante n 1', 'direccion'=>'c/lerida', 'cp'=>'46009', 'tel'=>'62234', 'codigoProvincia'=>'46', 'codigoMunicipio'=>'250', ),
				array('cif'=>'28569743V', 'orden'=>'1', 'nombre'=>'Donante n 2', 'direccion'=>'c/girona', 'cp'=>'46009', 'tel'=>'62234', 'codigoProvincia'=>'03', 'codigoMunicipio'=>'251',),
			);
			parent::__construct($datos, array("cif","orden"));			

			$listaProvincias = new gvHidraList('codigoProvincia');
			$listaProvincias->addOption("46","Valencia");
			$listaProvincias->addOption("03","Alicante");
			$listaProvincias->setSelected('46');
			$this->addList($listaProvincias);
		
			$listaMunicipios = new gvHidraList('codigoMunicipio');	
			$listaMunicipios->addOption("250","Valencia");
			$listaMunicipios->addOption("251","Denia");
			$this->addList($listaMunicipios);

		//Descripcion de los campos:									
		$cif = new typeNIF(true,13);
		$cif->setNIF(true);
		$cif->setCIF(true);
		$this->addFieldType('cif',$cif);

		$orden = new gvHidraInteger(true, 2);	
		$this->addFieldType('orden',$orden);
	
		$nombre = new gvHidraString(true, 40);	
		$this->addFieldType('nombre',$nombre);

	}//Fin de Constructor

	/************************** VALIDACIONES **********************************/
		
//	function postBuscar($objDatos){		
//		/*$m_datos = $objDatos->getAllTuplas();
//		$m_datos2[0] = $m_datos[0];
//		$m_datos2[1] = $m_datos[1]; 
//		$objDatos->setAllTuplas($m_datos2);*/
//		return 0;		
//	}
	
	function preBorrar($objDatos) {
		return 0;
	}//Fin de PreBorrar
	
	function preEditar($objDatos){
		//print_r($objDatos->getAllTuplas());die;
		return 0;
	}
}//Fin TinvDonantes
?>